/* 
	Editor: http://www.visualmicro.com
	        visual micro and the arduino ide ignore this code during compilation. this code is automatically maintained by visualmicro, manual changes to this file will be overwritten
	        the contents of the Visual Micro sketch sub folder can be deleted prior to publishing a project
	        all non-arduino files created by visual micro and all visual studio project or solution files can be freely deleted and are not required to compile a sketch (do not delete your own code!).
	        note: debugger breakpoints are stored in '.sln' or '.asln' files, knowledge of last uploaded breakpoints is stored in the upload.vmps.xml file. Both files are required to continue a previous debug session without needing to compile and upload again
	
	Hardware: Arduino/Genuino Uno, Platform=avr, Package=arduino
*/

#define __AVR_ATmega328p__
#define __AVR_ATmega328P__
#define ARDUINO 167
#define ARDUINO_MAIN
#define F_CPU 16000000L
#define __AVR__
#define F_CPU 16000000L
#define ARDUINO 167
#define ARDUINO_AVR_UNO
#define ARDUINO_ARCH_AVR
extern "C" void __cxa_pure_virtual() {;}

//
//
void Master_Let_SampleFreq();
unsigned long Master_Get_SampleFreq();
void Init_Master();
void Init_Hardware();
void Hardware_Poll();
void Hardware_Let_Analogue(byte index, byte value);
byte Hardware_Get_Analogue(byte index);
void Hardware_Let_Function(byte newfunc);
byte Hardware_Get_Function();
void Hardware_Refresh_FuncBG();
void Hardware_Let_Value(byte newval);
byte Hardware_Get_Value();
void Hardware_Refresh_valLED();
void Hardware_Refresh_ValBG();
void Hardware_Let_AnalBank(byte value);
byte Hardware_Get_AnalBank();
void Hardware_Refresh_AnalBankLED();
void Hard_Let_Shift(boolean newshift);
boolean Hard_Get_Shift();
void Hardware_Refresh_ShiftLED();
void Hardware_LED_SetState(byte LEDnum, byte LEDstate);
void Hardware_LED_StartFlash(byte LEDnum, byte FlashTimes);
void Hardware_LED_CancelFlash(byte LEDnum);
void Hardware_LED_RefreshFlash();
void LFO_Let_Speed(unsigned int newspeed);
unsigned int LFO_Get_Speed();
char LFO_Get_Level();
void LFO_Reset();
void LFO_CalcVal();
void MIDI_Init();
void MIDI_NoteOn(byte notenum,byte velocity);
boolean MIDI_Get_ClockPresent();
void MIDI_ClockStart();
void MIDI_ClockContinue();
void MIDI_ClockStop();
void MIDI_ClockTick();
unsigned long MIDI_Get_ClockTick();
void MIDI_Poll();
void Memory_Let_LoadOnBeat(byte newval);
byte Memory_Get_LoadOnBeat();
void Memory_Save(byte patchnum);
void Memory_Load(byte patchnum);
void Pitch_Let_CurFreq(unsigned int newfreq);
unsigned int Pitch_Get_CurFreq();
unsigned long Pitch_Get_FreqCalc();
boolean Pitch_Get_PitchChanged();
void Pitch_Process();
void Pitch_Let_LFOAmt(byte newamt);
byte Pitch_Get_LFOAmt();
byte Pitch_Get_LFOGain();
void Init_Register();
void Seq_Let_Pattern(byte inst, int beat, boolean newval);
boolean Seq_Get_Pattern(byte inst, int beat);
void Seq_Let_PatternRaw(byte inst, int pat);
int Seq_Get_PatternRaw(byte inst);
void Seq_Let_Volume(byte inst, byte newval);
byte Seq_Get_Volume(byte inst);
void Seq_Let_DelayBeats(byte inst, byte newval);
byte Seq_Get_DelayBeats(byte inst);
void Seq_Let_Amplitude(byte inst, byte newval);
byte Seq_Get_Amplitude(byte inst);
void Seq_Let_Playing(boolean newval, boolean cont);
byte Seq_Get_Playing();
void Seq_Let_Tempo(byte newtempo);
void Seq_Clear();
void Seq_Process();
char Wavestore_Get_Sample(unsigned int index);
unsigned int Wavestore_Get_Start(byte index);

#include "C:\Program Files (x86)\Arduino\hardware\arduino\avr\variants\standard\pins_arduino.h" 
#include "C:\Program Files (x86)\Arduino\hardware\arduino\avr\cores\arduino\arduino.h"
#include <..\Atmegadrum_1_2_1\Atmegadrum_1_2_1.ino>
#include <..\Atmegadrum_1_2_1\Copying.ino>
#include <..\Atmegadrum_1_2_1\Hardware.ino>
#include <..\Atmegadrum_1_2_1\LFO.ino>
#include <..\Atmegadrum_1_2_1\MIDI.ino>
#include <..\Atmegadrum_1_2_1\Memory.ino>
#include <..\Atmegadrum_1_2_1\Pitch.ino>
#include <..\Atmegadrum_1_2_1\Register.ino>
#include <..\Atmegadrum_1_2_1\Sequencer.ino>
#include <..\Atmegadrum_1_2_1\Wavestore.ino>
